/*
Nome: Mario
Cognome: Montanari

Scrivere una funzione che stampi la stringa ricevuta
e anche la sequenza di codici ASCII corrispondenti.
*/

#include <iostream>
#include <cstdlib>
#include <cstring>

#define SIZE 100+1

using namespace std;

void stampaAscii(char *src);

int main(void) {
	char src[SIZE];
	
	cin.getline(src, SIZE);
	
	stampaAscii(src);
	
	return 0;
}

void stampaAscii(char *src) {
	char chr;
	int asciiCode;
	for (int i = 0; i < strlen(src); i++) {
		chr = src[i];
		asciiCode = chr;
		cout << chr << "(" << asciiCode << ")" << " ";
	}
}